Support » Plugin: Simple Membership » PayPal Notification – Need To Upgrade Security

  • Resolved ma3ry

    (@ma3ry)



    I received notification from PayPal – Reminder: REQUIRED to avoid service interruptions you need to complete important security upgrades. – Specifically Change is required IPN Verification Postback to HTTPS.

    My Systems Admin says: As I see – there is just one active plugin which uses paypal – Simple Membership and according to its code – it uses https for IPN.
    However it uses http://www.paypal while its recommended changing it to ipnpb.paypal

    For now I suggest leaving the code as is, since the plugin is maintained by its author and probably we should get an updated version with required corrections.
    Otherwise we still will have time until June so we can handle the issue before Paypal stop accept http IPN

    Just thought I’d let you know.
    Thanks!

    The page I need help with: [log in to see the link]

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Support mbrsolution

    (@mbrsolution)

    Thank you Mary for sharing this with us. I have submitted a message to the developers to further investigate.

    Kind regards.

    Plugin Author wp.insider

    (@wpinsider-1)

    Hi, Our plugin uses the “HTTPS” URL for PayPal everywhere. I can guarantee you that. We always use the following URL in the plugin’s code (we don’t use the non-secure URL):

    
    https://www.paypal.com
    

    I have just checked the code myself and verified it.

    We are also an official paypal partner so we use the partner chanel to confirm with PayPal about our integration.

    Please log into your PayPal account and go to the IPN settings interface. Make sure that you are not using a non-https URL there.

    I think the issue was not the https, but changing http://www.paypal to ipnpb.paypal

    Sorry, the http:// is entered automatically when the message gets posted. I did not put it in my message either time.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘PayPal Notification – Need To Upgrade Security’ is closed to new replies.